/*

dsksidisc.c - Sidisc implementation of disk block routines

*/

#include "sidisc.h"
#include "dsk.h"

/*...vsidisc\46\h:0:*/
/*...vdsk\46\h:0:*/

int dsk_init(void)
	{
	return sidcheck(0);
	}

void dsk_read(unsigned long lba, unsigned n, unsigned char *buf)
	{
	sidread(0, lba*4, n*4, buf);
	}
